--- kvpnc.spec.orig
+++ kvpnc.spec
@@ -17,9 +17,7 @@ License:	GPL
 Group:		Productivity/Networking/System
 Summary:	KDE frontend for various vpn clients
 Summary(de):	KDE-Oberflaeche fuer verschiedene VPN-Clients
-Vendor:		LINUX-ADMINISTRATOR.COM
-Packager:	Carsten Schoene <cs@linux-administrator.com>
-Version:	0.9.1
+Version:	0.9.6
 Release:	1
 URL:		http://kvpnc.org/
 BuildRoot:	%{_tmppath}/%{name}-%{version}-build
@@ -55,6 +53,10 @@ Authors:
 %setup -q -n %{name}-%{version}
 
 %build
+if [ ! -f configure ] ; then
+%__make -f admin/Makefile.common
+fi
+
 %if 0%{?suse_version}
         . /etc/opt/kde3/common_options
         export QTDIR=%_libdir/qt3
@@ -69,6 +71,9 @@ Authors:
 %if 0%{?fedora_version} == 9
         CC="gcc34" CXX="g++34" \
 %endif
+%if 0%{?fedora_version} == 13
+	LDFLAGS="-lkwalletclient"
+%endif
         ./configure --prefix=%{_prefix} --libdir=%{_libdir} \
 %endif
 %if 0%{?centos_version} == 4
@@ -118,6 +123,305 @@ rm -rf $RPM_BUILD_DIR/%{name}*
 %endif
 
 %changelog
+* Thu Mar 11 2010 Carsten Schoene <cs@linux-administrator.com> - 0.9.6-1
+ - bugfixes:
+  if no profile was imported at kvpnc profile import keep profile name at profile selector fixed
+  remote id toggle  at newprofilewizard at *swan use fixed
+  remote id options at newprofilewizard at *swan use fixed
+  local id options at newprofilewizard at *swan use fixed
+  split specific options at preferencesdialog in multiple tabs (*swan, racoon, pptp, openvpn) for reducing preferencesdialog size (kde3: #13610, kde4: #219556)
+  vpnc config options if ca cert or ca dir empty for use hybrid mode fixed (thanks to Todd Kennedy)
+  enable psk options at hybrid mode fixed (vpnc)
+  selecting profile selects not right profile fixed [kde4]
+  openvpn specific options toggle fixed [kde4]
+  crash at p12 certificate import fixed [kde4]
+  p12 import at openvpn profile import fixed [kde4]
+  crash at generate openvpn key fixed (#224507) [kde4]
+  remote network netmask at newprofilewizard at *swan use fixed [kde4]
+  use udp label text at newprofilewizard at *swan use fixed [kde4]
+
+ - features:
+  check if profile already exists at kvpnc profile import added
+  toggle all/none profiles at kvpnc profile import added
+  user defined import prefix at kvpnc profile import added
+  kde4 translation updated
+
+* Wed Mar 03 2010 Carsten Schoene <cs@linux-administrator.com> - 0.9.5-1
+- update to release 0.9.5
+  use nat fixed (vpnc)
+  vpnc config option for use hybrid mode fixed
+  hide useless cisco cert comboboxes if not needed
+  use nat at pcf import fixed
+  cancel at pcf import if profile name already exists fixed
+  parameter at log message fixed (openvpn)
+  bool options fixed at kvpnc profile import
+  wrong label (before disconnect) in preferencesdialog fixed [kde4]
+  HTTP Proxy Authtype at kvpnc profile export fixed
+  auth type at kvpnc profile export fixed
+  hide ipsec virtual ip options at newprofilewizard (openvpn)
+  crash at connecting fixed (openvpn)
+  keeping existing nameserver fixed (openvpn)
+  memleak fix (vpnc)
+  vpnc start fix [kde4]
+  some vpnc kill fixes
+  fixes regarding indexes of comboboxes in preferencesdialog [kde4]
+  displaying auth type at change in preferencesdialog
+  authtype display at profile change fixed
+  display add/remove additional network routes fixed
+  use default interface at add/remove additional network routes if no device is given
+  hybrid mode at preferencesdialog fixed (vpnc)
+  save CertPath at preferencesdialog fixed (racoon)
+  if profile name with spaces is entered at newprofilewizard dont continue fixed
+  use nat preselection at newprofilewizard fixed
+  udp port toggle at newprofilewizard fixed
+  default route combobox at newprofilewizard fixed [kde4]
+  index fixes at newprofilewizard [kde4]
+  crash at connecting state fixed (openvpn)
+  save username if username/password from authdialog is requested save is checked (openvpn)
+  dont display authdialog if userdata already collected (openvpn)
+  memleak fix (openvpn)
+  crash at newprofilewizard at ssh type on tunnel type change fixed
+  use cisco icon instead pcf icon in for pcf menu entry
+  kde4 translation updated
+
+* Mon Mar 01 2010 Carsten Schoene <cs@linux-administrator.com> - 0.9.4-1
+- update to release 0.9.4
+ - bugfixes
+  rsa key auth at ipsec config file import fixed
+  rsa key auth for psk fixed (*swan)
+  psk at ipsec config file import fixed
+  connect success status message at *swan fixed
+  cert path within inline cert at openvpn config file import fixed
+  possible crash at displaying dock tooltip at disconnected state fixed
+  displaying *swan import entry in profile menu fixed
+  ipsec config file import fixes
+  crash at disconnect in connecting state fixed (racoon)
+  cancel at fritzbox vpn user config file import fixed
+  removing virtual ip address at disconnect on connecting state fixed (racoon)
+  adding virtual ip at connecting state fixed (racoon)
+  http proxy widget at preferencesdialog fixed
+  crash at connecting fixed (*swan)
+  virtual ip fixes (*swan)
+  phase 2 quickmode detecion fixed (*swan)
+  make gui not freezing if module loading/unloading
+  (rare) race condition on ipsec start fixed
+  psk mode at l2tp fixed (*swan)
+  debug level for racoon fixed
+  auth type on authtype change at preferencesdialog fixed
+  remoteid type fixed if empty
+  temporary static klips debug removed
+  toggle of remoteid type fixed if none
+  rightsourceip at *swan fixed
+  crash at connect (rare cases) fixed
+  psk auth type fixed on loading profiles
+  racoon debug level at preferencesdialog fixed
+  dh group at racoon fixed
+  export date at kvpnc profile export fixed
+  nat option fixes
+  xauth at ipsec fixed if strongSwan is used and psk is in file
+  psk on ipsec fixed if openswan is used
+  ipsec flavour parsing fixed
+  changing auth type fixed
+  selector tooltip fixes
+  mru checkbox in profile settings fixed
+  pptp auth options fixed
+  handle reject auth at ssh fixed
+  check existing profile name at new profile creation fixed
+  crash after delete profile fixed
+  crash after delete last profile from preferencesdialog fixed
+  creating new profile saved with old data when called from preferencesdialog fixed
+  hang at vpnc connect fixed
+  lineend at some vpnc debug messages fixed
+  pptp crash fixes
+  openvpn config option fixes
+  openvpn version checking for script security parameter fixed
+  saving changed profile settings after autofix fixed
+  crash on connect via openvpn fixed
+  reconnect on connection lost at pptp fixed
+  private key password use toggle fixed at importcertifcate dialog
+  local id at profile creation (racoon) in newprofilewizard fixed
+  certificate import button on certificate profile page fixed
+  crash at disconnect on connecting state fixed (openvpn)
+  crash at disconnect on connecting state fixed (pptp)
+  resolv.conf restore after disconnect if no resolvconf installed fixed
+  connect success event display fixed [kde4]
+  dock tooltip fixed at disconnected state [kde4]
+  add virtual ip at connecting state fixed (racoon) [kde4]
+  connect status alignment in statusbar fixed [kde4]
+  sorting order at toolsinfodialog fixed [kde4]
+  initial size at toolsinfdialog fixed [kde4]
+  sorting order at vpntypesinfodialog fixed [kde4]
+  initial size at ciscocertificateenrollmentdialog fixed [kde4]
+  endless loop at killing pptp fixed [kde4]
+  help for esp parameter at *swan options fixed [kde4]
+  memory leak at module loading/unloading fixed [kde4]
+  sorting at comboboxes fixed [kde4]
+  leftsourceip at virtual ip options fixed [kde4]
+  rightsourceip at virtual ip options fixed [kde4]
+  auto reconnect on disconnect fixed (pptp) [kde4]
+  saving state of ping check checkbox fixed [kde4]
+  typo fixes [kde4]
+  fixes regarding kwallet [kde4]
+  displaying empty pages fixed (#221506) [kde4]
+  crash at connecting at ssh vpn fixed [kde4]
+  save only one profile fixed [kde4]
+  disconnect ssh slots on disconnect fixed [kde4]
+  kwallet fixes [kde4]
+  error handling at certificate import fixed [kde4]
+  crash after delete last profile from preferencesdialog fixed (#221635) [kde4]
+  creating new profile saved with old data when called from preferencesdialog fixed (#210448) [kde4]
+  translation parameter fixes [kde4]
+  crash at lost connect fixed (pptp) (#208065) [kde4]
+  crash at disconnect on connecting state fixed (pptp) (#207786) [kde4]
+  resolv.conf restore after disconnect if no resolvconf installed fixed (#206211) [kde4]
+  up/down scripts removed at openvpn config file export
+  local id at psk on *swan fixed
+  using /etc/init.d/ipsec stop for stopping openswan because ipsec setup stop doesnt cleanup all
+  local/remote id types fixed (racoon)
+  hybrid detection display in toolsinfo dialog fixed
+  hybrid mode at preferencesdialog fixed (vpnc, vpnclient) [kde4]
+  
+ - features
+  save only new profiles at ipsec config file import
+  ipsec error handling improved
+  support for inline certificates (user certificate, ca certificate, private key, tls-key) at openvpn config file import added (see doc/README.OPENVPN_INLINE_CERT)
+  importing username by special line at openvpn config file import added (# OVPN_ACCESS_SERVER_USERNAME=)
+  hide ipsec related settings at virtualip options page if not nessary
+  cpu usage reduced
+  dock tooltip better formatted
+  eventsrc updated
+  stop connecting if hostname could not resolved at racoon profile
+  displaying virtual ip address in tooltip added (*swan, racoon)
+  dhgroup for esp added (*swan)
+  filter for fritzbox vpn user config file changed to "vpnuser_*.cfg"
+  dont use "VPN connexion established" as successful connect at racoon
+  useless netmask removed at setkey rules
+  temporary static rightid removed at *swan
+  useless http proxy options on racoon usage disabled
+  user options on racoon usage disabled if not xauth or l2tp
+  dottedIpv4Netmask2NetmaskBytes function at utils added
+  fritzbox vpn user config file import added
+  set text instead item number for auth type at preferencesdialog
+  save single profile at additionally to config sync
+  racoon virtual ip support added (use LeftSourceIP)
+  debug options for pluto and klips added (*swan)
+  remote id moved from cert options to ipsec/racoon options
+  checking gre support at pptp added
+  load ip_gre module if nessary at pptp
+  code cleanup
+  display profile info in profile selector tooltip added
+  not useable mppe and ppp options now disabled at l2tpd profile
+  l2tp auth at profile selector tooltip for l2tp profiles added
+  save only current profile instead of all if passwords got from dialog during connecting
+  messagebox for user added if connection was refused at pptp connect try
+  use KProcess instead QProcess in some cases at utils
+  tun device check more reliable made
+  allow hostname instead of ip address in ping check too
+  ciscouserca type at importcertifcate dialog added (user + ca certificate)
+  certificate will now imported into cisco cert store if set in config file
+  use cisco cert store option at certificate settings at orig cisco usage added
+  importing a pcf file containing certificate will now import the certificate too (file/cert store is selected by CertStore option in pcf file)
+  certificate select dialog now show also certs with der extension
+  hybrid support detection at vpnc added (openssl support compiled in)
+  hybrid mode (ca cert and name/password) added (vpnc, vpnclient)
+  ca certificate import at importcertifcate dialog added
+  use nat option added (split use udp into use udp and use nat for more flexibility)
+  process only events if needed at getting certs from Cisco cert store
+  debug output for replacing defaultroute added (vpnc)
+  display other informal msg from ipsec helper too [kde4]
+  read only first ip address from interface at getInterfaceIP [kde4]
+  clear text password from config file removed (workaround found) [kde4]
+  add userpage at pcf import on new profilewizward disabled [kde4]
+  set default network protocol to tcp at openvpn profile import
+  use file select dialog instead of textinput dialog for getting filename at openvpn config file export
+  id type tooltips at remote/local id comboboxes added
+  netstat toolinfo display added
+  certificate prefix can now specified at openvpn type
+
+
+* Sun Aug 30 2009 Carsten Schoene <cs@linux-administrator.com> - 0.9.3-1
+- update to release 0.9.3 
+ - bugfixes
+  --non-inter option removed because no longer nessary
+  useless extra route disabled
+  resolvconf fixes
+  creating additional route with /32 mask fixed
+  crash on wrong import password on p12 certificate fixed
+  certificate import p12 fixed
+  keeping default route fixed (pptp)
+  crash at import ipsec config fixed (#205502) [kde4]
+  displaying values in importprofiledialog after importing ipsec config fixed [kde4]
+  enterxauthinteractivepasscode layout fixed [kde4]
+  ppp auth method in preferencesdialog fixed [kde4]
+  ask username/password only if needed fixed (pptp) [kde4]
+  cisco nat mode saving fixed [kde4]
+  dialog change detection in preferencesdialog fixed [kde4]
+  ProfileCmdExecAfterDisconnectSelector on preferencesdialog fixed [kde4]
+  ProfileSpecificSelector on preferencesdialog fixed [kde4]
+  icon size on daemon options fixed [kde4]
+  icon size on helper program options fixed [kde4]
+  export kvpnc profiles fixed [kde4]
+  filename select on kvpnc profile import fixed [kde4]#
+ - features
+  check cisco_cert_mgt tool before running the wizard added
+  allow empty certificate password on vpnclient
+  qt3 compat usage removed in kfeedbackdialog [kde4]
+  import/export profiles now checkable (instead of select) [kde4]
+
+* Sun Aug 02 2009 Carsten Schoene <cs@linux-administrator.com> - 0.9.2-1
+- update to release 0.9.2 (mainly bugfixes)
+  - crash on exec cmd after disconnect fixed
+  - path to tail after change in profilemanger fixed
+  - save modified path of tail, ciscocertmgr fixed
+  - deleting profile fixed [kde4]
+  - crash at smartcard options widget fixed [kde4]
+  - selector on authentication page fixed [kde4]
+  - gui freeze eleminations [kde4]
+  - username display on status fixed (openvpn) [kde4]
+  - use remote network changing on profilenetworkgeneraloptions fixed [kde4]
+  - replace custom bug report entry with homepage call entry [kde4]
+  - profiletype on profilemanger fixed [kde4]
+  - interface detection fixed [kde4]
+  - racoon specific page moved to connection specific in profilemanger [kde4]
+  - restoring last profile fixed [kde4]
+  - echo mode on import certificate dialog fixed [kde4]
+  - echo mode on psk options dialog fixed [kde4]
+  - echo mode on cisco manually dialog fixed [kde4]
+  - manageciscocert dialog fixed [kde4]
+  - read profile data fixed (pcf file) [kde4]
+  - crash on openening profilemanger fixed [kde4]
+  - wrong profile name on pcf import fixed if name still exists
+  - fixes regarding dns update
+  - saving cisco nat mode fixed
+  - ipsec setup fix
+  - rename to empty name fixed
+  - memory leak fixes
+  - vpn type in import/export fixed
+  - vtun path on preferences dialog fixed
+  - ssh path on preferences dialog fixed
+  - script-security option fixed (openvpn) thanks to Thomas Bartschies
+  - mtu/mru options at preferences dialog fixed (openvpn) thanks to Thomas Bartschies
+  - dns update fixed (openvpn) thanks to Thomas Bartschies
+  - TlsRemoteHostCheckBox fixed
+  - renegsec option fixed (openvpn)
+  - ask user password on each connect option added
+  - HOME/bin now in search path of default paths
+  - default paths search order changed
+  - useless comment on tail info removed
+  - DNS_UPDATE option renamed to Update DNS configuration, if not checked, /etc/resolv.conf will not changed
+  - ping_check.sh now useable with ash
+  - ping_check.sh device parameter added
+  - connection status check now uses tunnel device
+  - translation update
+  - empty patch checking on load/save added
+  - detecting pkcs11 ids for openvpn via openvpn added
+  - option for selecting open profilemanger after import added
+  - pkcs11 parameters changed for openvpn >= 2.1rc-9
+  - openvpn version detection improved
+  - pkcs11 token support for other than etoken added
+  - dns domain added for pptp
+  - kde3 type in version added
+
 * Sat Dec 20 2008 Carsten Schoene <cs@linux-administrator.com>
 - release new version 0.9.1
  * Bugfixes
